Skip to main content
POST

Get transaction by id. Provided for backwards compatibility, it will be removed in the Canton version 3.5.0, use v2/updates/update-by-id instead.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
string
required
The ID of a particular transaction. Must be a valid LedgerString (as described in value.proto). Required
string[]
Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. The parties whose events the client expects to see. Events that are not visible for the parties in this collection will not be present in the response. Each element must be a valid PartyIdString (as described in value.proto). Optional for backwards compatibility for GetTransactionById request: if defined transaction_format must be unset (falling back to defaults).
object
OpenAPI type: TransactionFormat.A format that specifies what events to include in Daml transactions and what data to compute and include for them.

Responses

200

application/json
JsTransaction
required
Filtered view of an on-ledger transaction’s create and archive events.

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Removal scheduled3.5.0
Updated3.5

The POST /v2/updates/transaction-by-id operation was updated in this snapshot.

Deprecated3.4
Added3.4